# List all counterparties

**GET** `/counterparties`

Retrieve all counterparties under your developer account. Filtered results can be retrieved with extra parameters in the query (`account_number`, `routing_number`, etc.).

### Query Parameters

- `account_number` `string` — Filter counterparties by account number.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `deduplicate` `boolean` — When `true`, collapses duplicate counterparties (same account/routing) into a single result.
- `description` `string` — Filter counterparties by description (substring match).
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `number` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `query` `string` — Free-form search query that matches against counterparty fields.
- `routing_number` `string` — Filter counterparties by routing number.
- `sort` `string` — Field to sort results by.
- `sort_order` `string` — Sort direction. Can be `asc` or `desc`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/counterparties' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "counterparties": [
    {
      "account_number": "GB29NWBK60161331926819",
      "account_type": "checking",
      "address": {
        "city": "New Winton",
        "country_code": "GB",
        "line_1": "96 Lairg Road",
        "line_2": "",
        "postal_code": "EH33 5ZN",
        "state": ""
      },
      "created_at": "2023-07-07T22:31:30.859307801Z",
      "description": "international_cpty",
      "email": "john.doe@gmail.com",
      "id": "cpty_2SGNjEY3ax4DaX4LgU72navTADL",
      "is_column_account": false,
      "legal_id": "GB1245643234",
      "legal_type": "sole_proprietor",
      "local_account_number": "876545678",
      "local_bank_code": "GB123456",
      "local_bank_country_code": "",
      "local_bank_name": "",
      "name": "John Doe",
      "phone": "650-123-4567",
      "routing_number": "NWBKGB2L",
      "routing_number_type": "bic",
      "updated_at": "2023-07-07T22:31:30.859307801Z",
      "wire": {
        "beneficiary_address": {
          "city": "New Winton",
          "country_code": "GB",
          "line_1": "96 Lairg Road",
          "line_2": "",
          "postal_code": "EH33 5ZN",
          "state": ""
        },
        "beneficiary_email": "john.doe@gmail.com",
        "beneficiary_legal_id": "GB1245643234",
        "beneficiary_name": "John Doe",
        "beneficiary_phone": "650-123-4567",
        "beneficiary_type": "sole_proprietor",
        "local_account_number": "876545678",
        "local_bank_code": "GB123456"
      },
      "wire_drawdown_allowed": false
    }
  ],
  "has_more": true
}
```
